Get Post Action Errors

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordsetId}/postactions/{actionId}/errors

Get errors for the selected RecordSet.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordsetId string Required

    id of the preceeding Recordset

  • actionId string Required

    id of the Action

Responses

  • 200 application/json

    OK

GET /dataflows/{dataflowId}/recordsets/{recordsetId}/postactions/{actionId}/errors
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordsetId}/postactions/{actionId}/errors' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "_id": "###########",
    "data": {},
    "entityId": "##############",
    "entityName": "########",
    "errorMessage": "Cannot read properties of undefined (reading 'user')",
    "errorStack": "TypeError: ######",
    "failedDate": "2022-10-13 11:33:14 UTC",
    "postActionId": "###########",
    "retries": 1
  }
]